Bug 18542 - Move and style "new field" link in item search form
Summary: Move and style "new field" link in item search form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-04 16:21 UTC by Owen Leonard
Modified: 2017-07-18 12:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18542 - Move and style "new field" link in item search form (2.47 KB, patch)
2017-05-04 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18542 - Move and style "new field" link in item search form (2.63 KB, patch)
2017-05-04 16:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18542 - Move and style "new field" link in item search form (2.71 KB, patch)
2017-07-13 20:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-05-04 16:21:56 UTC
I propose to move the "New field" link in the item search form to the end of the last row in that section instead of below it, and to add a + icon.
Comment 1 Owen Leonard 2017-05-04 16:27:36 UTC
Created attachment 63135 [details] [review]
Bug 18542 - Move and style "new field" link in item search form

This patch modifies the item search page JavaScript so that the "New
field" link has a "+" icon and is always placed at the end of the last
row in that section of the form.

To test, apply the patch and open the item search form in the staff
client. In the third section there should be a "+ New field" link at the
end of the first row of fields.

Clicking the "New field" link should clone that row and move the link to
the end of the cloned row.
Comment 2 Marc Véron 2017-05-04 16:42:41 UTC
Created attachment 63137 [details] [review]
Bug 18542 - Move and style "new field" link in item search form

This patch modifies the item search page JavaScript so that the "New
field" link has a "+" icon and is always placed at the end of the last
row in that section of the form.

To test, apply the patch and open the item search form in the staff
client. In the third section there should be a "+ New field" link at the
end of the first row of fields.

Clicking the "New field" link should clone that row and move the link to
the end of the cloned row.

Behaves as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-07-13 20:46:43 UTC
Created attachment 65030 [details] [review]
Bug 18542 - Move and style "new field" link in item search form

This patch modifies the item search page JavaScript so that the "New
field" link has a "+" icon and is always placed at the end of the last
row in that section of the form.

To test, apply the patch and open the item search form in the staff
client. In the third section there should be a "+ New field" link at the
end of the first row of fields.

Clicking the "New field" link should clone that row and move the link to
the end of the cloned row.

Behaves as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: Fix indentation
Comment 4 Jonathan Druart 2017-07-13 21:42:05 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-07-18 12:43:07 UTC
Enhancement not pushed to 17.05.x